- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moFitComparator< EOT > Class Template Reference

Comparison according to the fitness. More...

`#include <moFitComparator.h>`

Inheritance diagram for moFitComparator< EOT >:

List of all members.

## Public Member Functions
bool | operator() (const EOT &_solution1, const EOT &_solution2)
| Function which makes the comparison and gives the result.

## Detailed Description

### template<class EOT>
class moFitComparator< EOT >

Comparison according to the fitness.

An EOT is better than an other if its fitness is better.

Definition at line 20 of file moFitComparator.h.

## Member Function Documentation

template<class EOT>

bool moFitComparator< EOT >::operator() | ( | const EOT & | _solution1,
|  | const EOT & | _solution2 |
| ) |  |  | `[inline, virtual]`

Function which makes the comparison and gives the result.

Parameters:

  | _solution1 | The first solution.
  | _solution2 | The second solution.

Returns:
  true if the fitness of the first solution is better than the second solution, false else.

Implements eoBF< const EOT &, const EOT &, bool >.

Definition at line 30 of file moFitComparator.h.

The documentation for this class was generated from the following file:

- moFitComparator.h